Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Interoperability with GPG4WIN Pageant #11085

Open
cyberduck opened this issue Jun 24, 2020 · 0 comments
Open

Interoperability with GPG4WIN Pageant #11085

cyberduck opened this issue Jun 24, 2020 · 0 comments

Comments

@cyberduck
Copy link
Collaborator

@cyberduck cyberduck commented Jun 24, 2020

fbb8ba7 created the issue

I am using SSH authentication through an Authentication GPG subkey stored in a smartcard. I have set up GPG4WIN with PuTTY interoperability to accomplish that. The authentication through the GPG smartcard works fine with PuTTY itself. However, CyberDuck seems to ignore it and asks me for a password or a certificate file.

Please note that I am also using a properly configured WSL-SSH-Pageant to get this kind of authentication work both in WSL (Ubuntu 20.04) and through Windows' built-in SSH client. I know that my configuration is correct since literally everything -- even a command line PHP script -- can use the key in the SmartCard. The only anomaly is CyberDuck.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants